Bug 478294 - Review Request: fswebcam - Tiny and flexible webcam program
Review Request: fswebcam - Tiny and flexible webcam program
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: manuel wolfshant
Fedora Extras Quality Assurance
:
: 222009 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-27 07:22 EST by Fabian Affolter
Modified: 2009-01-14 22:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-14 21:50:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2008-12-27 07:22:50 EST
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/fswebcam.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/fswebcam-20070108-3.fc9.src.rpm

Project URL: http://www.firestorm.cx/fswebcam/

Description:
A tiny and flexible webcam program for capturing images from a V4L1/V4L2
device, and overlaying a caption or image.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1022775

rpmlint output:
[fab@laptop024 i386]$ rpmlint fswebcam*
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

[fab@laptop024 SRPMS]$ rpmlint fswebcam-20070108-3.fc9.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

This review request based on https://bugzilla.redhat.com/show_bug.cgi?id=222009
Comment 1 Fabian Affolter 2008-12-27 07:29:27 EST
*** Bug 222009 has been marked as a duplicate of this bug. ***
Comment 2 manuel wolfshant 2008-12-27 08:28:38 EST
Package Review
==============

Key:
 - = N/A
 x = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format %{name}.spec.
 [x] Package meets the Packaging Guidelines.
 [x] Package successfully compiles and builds into binary rpms on at least one supported architecture.
     Tested on: devel/x86_64
 [x] Rpmlint output:
source RPM: empty
binary RPM:empty
 [x] Package is not relocatable.
 [x] Buildroot is correct (%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n))
 [x] Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type:GPLv2
 [x] If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package match the upstream source, as provided in the spec URL.
     SHA1SUM of package: 69df690a91dd5902b5fe3d6b5c6a140fe242f002 fswebcam-20070108.tar.gz
 [x] Package is not known to require ExcludeArch.
 [x] All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Package must own all directories that it creates.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package has a %clean section, which contains rm -rf %{buildroot}.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -devel subpackage, if present.
 [-] Package requires pkgconfig, if .pc files are present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI application.
 [x] Package does not own files or directories owned by other packages.
 [x] Final provides and requires are sane.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [x] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: devel/x86_64 + koji scratch build
 [x] Package should compile and build into binary rpms on all supported architectures.
     Tested on: koji scratch build
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] File based requires are sane.
 [-] %check is present and the test passes.


================
*** APPROVED ***
================
Comment 3 Fabian Affolter 2008-12-27 09:47:54 EST
New Package CVS Request
=======================
Package Name: fswebcam
Short Description: Tiny and flexible webcam program
Owners: fab
Branches: F-9 F-10
InitialCC:
Comment 4 Kevin Fenzi 2008-12-28 14:13:04 EST
cvs done.
Comment 5 Fabian Affolter 2008-12-28 16:12:32 EST
Thanks guys for the cvs and the review.
Comment 6 Fedora Update System 2008-12-28 16:14:08 EST
fswebcam-20070108-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/fswebcam-20070108-3.fc10
Comment 7 Fedora Update System 2008-12-28 16:14:11 EST
fswebcam-20070108-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/fswebcam-20070108-3.fc9
Comment 8 Fedora Update System 2008-12-30 18:42:37 EST
fswebcam-20070108-3.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update fswebcam'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-11852
Comment 9 Fedora Update System 2008-12-30 18:44:22 EST
fswebcam-20070108-3.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fswebcam'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-11864
Comment 10 Philip Heron 2008-12-30 20:58:11 EST
I've tested the x86_64 and ppc packages, both work as expected. I'm getting a "500 Internal error" on the fedoraproject.org site when I try to submit feedback.
Comment 11 Fedora Update System 2009-01-14 21:50:46 EST
fswebcam-20070108-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2009-01-14 22:10:26 EST
fswebcam-20070108-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.